- name: Setup PHP pool
  template:
    src: php-pool.conf.j2
    dest: /etc/php/7.4/fpm/pool.d/{{site_name}}.conf
  notify: Restart PHP
  
- name: Setup nginx server block
  template:
    src: nginx-site.conf
    dest: /etc/nginx/sites-available/{{site_name}}.conf
  notify: reload nginx

- name: Enable server block
  file:
    src: /etc/nginx/sites-available/{{site_name}}.conf
    dest: /etc/nginx/sites-enabled/{{site_name}}.conf
    state: link
  notify: reload nginx

- name: Create site
  file:
    path: /var/www/{{site_name}}
    state: directory
    owner: deploy
    group: www-data
    mode: 0750

- name: Create site log directory
  file:
    path: /var/www/{{site_name}}/log
    state: directory
    owner: www-data
    group: www-data
    mode: 0770

- name: Create site shared data directory
  file:
    path: /var/www/{{site_name}}/shared
    state: directory
    owner: deploy
    group: www-data
    mode: 0770

- name: Copy site config files
  template:
    src: "{{ site_config }}"
    dest: /var/www/{{site_name}}/shared/config.inc.prod.php
    mode: 0660
    owner: www-data
    group: www-data
